rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen.exe 1 6 3 1" "tests\02" 2
call scripts\gen-input-via-stdout.bat "files\gen.exe 1 6 25 1" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\gen.exe 100 200 25 1" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen.exe 200000 200000 25 1" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen.exe 200000 200000 25 0" "tests\06" 6
call scripts\gen-answer.bat tests\01 tests\01.a "tests" ""
call scripts\gen-answer.bat tests\02 tests\02.a "tests" ""
call scripts\gen-answer.bat tests\03 tests\03.a "tests" ""
call scripts\gen-answer.bat tests\04 tests\04.a "tests" ""
call scripts\gen-answer.bat tests\05 tests\05.a "tests" ""
call scripts\gen-answer.bat tests\06 tests\06.a "tests" ""

